Index: trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMConstructionTypeMaster.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMConstructionTypeMaster.cs	(revision 56)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMConstructionTypeMaster.cs	(revision 57)
@@ -37,6 +37,8 @@
             DisplayOrder,
             NameString,
             PublicFlg,
+            SecRank,
+            ExpensesLink,
             DeleteFlg,
             EntryDate,
             UpdateDate,
@@ -55,9 +57,9 @@
 
         #endregion
 
-        #region 検索処理
+        #region 名称マスタ検索ＳＱＬ作成
         /// <summary>
-        /// 名称マスタ検索
+        /// 名称マスタ検索ＳＱＬ作成
         /// </summary>
         /// <param name="AddSQLString">検索条件SQL文字列</param>
         /// <param name="data">名称マスタデータ</param>
@@ -70,6 +72,9 @@
             strcmd += ",DisplayOrder";
             strcmd += ",NameString";
             strcmd += ",PublicFlg";
+            strcmd += ",SecRank";
+            strcmd += ",ExpensesLink";
+
             strcmd += ",DeleteFlg";
 
             strcmd += " ,TO_CHAR(EntryDate, 'YYYY/MM/DD HH24:MI:ss')";
@@ -78,6 +83,16 @@
 
             return strcmd;
         }
+        #endregion
+
+        #region 名称マスタ検索（複数件）
+        /// <summary>
+        /// 名称マスタ検索（複数件）
+        /// </summary>
+        /// <param name="AddSQLString"></param>
+        /// <param name="data"></param>
+        /// <param name="bConnect"></param>
+        /// <returns></returns>
         public bool SelectAction(string AddSQLString, ref List<ConstructionTypeMaster> data, bool bConnect = true)
         {
             //Oracle インターフェース
@@ -109,6 +124,16 @@
             }
 
         }
+        #endregion
+
+        #region 名称マスタ検索（１件）
+        /// <summary>
+        /// 名称マスタ検索（１件）
+        /// </summary>
+        /// <param name="AddSQLString"></param>
+        /// <param name="data"></param>
+        /// <param name="bConnect"></param>
+        /// <returns></returns>
         public bool SelectAction(string AddSQLString, ref ConstructionTypeMaster data, bool bConnect = true)
         {
             //Oracle インターフェース
@@ -142,7 +167,7 @@
         }
         #endregion
 
-        #region 追加処理
+        #region 名称マスタ追加（１件）
         /// <summary>
         /// 名称マスタ追加
         /// </summary>
@@ -156,13 +181,23 @@
 
                 strcmd = "INSERT INTO ConstructionTypeMaster";
 
-                strcmd += " VALUES (";
+                strcmd += "(";
+                bool bFirst = true;
+                foreach (var gender in Enum.GetValues(typeof(NameColumn)))
+                {
+                    if (!bFirst) strcmd += " ,";
+                    strcmd += gender.ToString();
+                    bFirst = false;
+                }
+                strcmd += ") VALUES (";
 
-                strcmd += string.Format("  {0}", work.TypeCode.ToString());
-                strcmd += string.Format(", {0}", work.DisplayOrder.ToString());
-                strcmd += string.Format(",'{0}'", work.NameString.ToString());
-                strcmd += string.Format(", {0}", work.PublicFlg.ToString());
-                strcmd += string.Format(", {0}", work.DeleteFlg.ToString());
+                strcmd += string.Format("  {0}", work.TypeCode);
+                strcmd += string.Format(", {0}", work.DisplayOrder);
+                strcmd += string.Format(",'{0}'", work.NameString);
+                strcmd += string.Format(", {0}", work.PublicFlg);
+                strcmd += string.Format(", {0}", work.SecRank);
+                strcmd += string.Format(", {0}", work.ExpensesLink);
+                strcmd += string.Format(", {0}", work.DeleteFlg);
 
                 strcmd += ", TO_DATE(TO_CHAR(sysdate,'YYYY/MM/DD HH24:MI:SS'),'YYYY/MM/DD HH24:MI:SS')";
                 strcmd += ", TO_DATE(TO_CHAR(sysdate,'YYYY/MM/DD HH24:MI:SS'),'YYYY/MM/DD HH24:MI:SS')";
@@ -178,12 +213,20 @@
                 return false;
             }
         }
+        #endregion
+
+        #region 名称マスタ追加（複数件）
+        /// <summary>
+        /// 名称マスタ追加（複数件）
+        /// </summary>
+        /// <param name="data"></param>
+        /// <param name="bConnect"></param>
+        /// <returns></returns>
         public bool InsertAction(List<ConstructionTypeMaster> data, bool bConnect = true)
         {
             string strcmd = "";
             try
             {
-
                 foreach (ConstructionTypeMaster work in data)
                 {
                     if (!InsertAction(work, bConnect)) return false;
@@ -198,7 +241,7 @@
         }
         #endregion
 
-        #region 更新処理
+        #region 名称マスタ更新
         /// <summary>
         /// 名称マスタ更新
         /// </summary>
@@ -215,11 +258,13 @@
 
                 strcmd += " SET";
 
-                strcmd += string.Format(" TypeCode = {0}", data.TypeCode.ToString());
-                strcmd += string.Format(",DisplayOrder = {0}", data.DisplayOrder.ToString());
-                strcmd += string.Format(",NameString = '{0}'", data.NameString.ToString());
-                strcmd += string.Format(",PublicFlg = {0}", data.PublicFlg.ToString());
-                strcmd += string.Format(",DeleteFlg = {0}", data.DeleteFlg.ToString());
+                strcmd += string.Format(" TypeCode = {0}", data.TypeCode);
+                strcmd += string.Format(",DisplayOrder = {0}", data.DisplayOrder);
+                strcmd += string.Format(",NameString = '{0}'", data.NameString);
+                strcmd += string.Format(",PublicFlg = {0}", data.PublicFlg);
+                strcmd += string.Format(",SecRank = {0}", data.SecRank);
+                strcmd += string.Format(",ExpensesLink = {0}", data.ExpensesLink);
+                strcmd += string.Format(",DeleteFlg = {0}", data.DeleteFlg);
 
                 strcmd += ", UpdateDate = TO_DATE(TO_CHAR(sysdate,'YYYY/MM/DD HH24:MI:SS'),'YYYY/MM/DD HH24:MI:SS')";
                 strcmd += AddSQLString;
@@ -313,6 +358,9 @@
                 wrk.DisplayOrder = int.Parse(objwrk[(int)NameColumn.DisplayOrder].ToString());
                 wrk.NameString = objwrk[(int)NameColumn.NameString].ToString();
                 wrk.PublicFlg = int.Parse(objwrk[(int)NameColumn.PublicFlg].ToString());
+                wrk.SecRank = int.Parse(objwrk[(int)NameColumn.SecRank].ToString());
+                wrk.ExpensesLink = int.Parse(objwrk[(int)NameColumn.ExpensesLink].ToString());
+
                 wrk.DeleteFlg = int.Parse(objwrk[(int)NameColumn.DeleteFlg].ToString());
 
                 wrk.EntryDate = DateTime.Parse(objwrk[(int)NameColumn.EntryDate].ToString());
@@ -327,11 +375,9 @@
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
             }
         }
-
         #endregion
 
-        #region パブリックメソッド（特殊処理）
-
+        #region 種別コードの最大値を取得する
         /// <summary>
         /// 種別コードの最大値を取得する
         /// </summary>
@@ -368,7 +414,9 @@
 
             return iRet;
         }
+        #endregion
 
+        #region 表示順の最大値を取得する
         /// <summary>
         /// 表示順の最大値を取得する
         /// </summary>
@@ -405,7 +453,9 @@
 
             return iRet;
         }
+        #endregion
 
+        #region 主キー検索の文字列を返す
         /// <summary>
         /// 主キー検索の文字列を返す
         /// </summary>
Index: trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMTypeExpenses.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMTypeExpenses.cs	(nonexistent)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMTypeExpenses.cs	(revision 57)
@@ -0,0 +1,435 @@
+﻿using System;
+using System.Collections.Generic;
+using System.Linq;
+using System.Text;
+using System.Collections;
+
+using log4net;
+using Oracle.ManagedDataAccess.Client;
+
+using ProcessManagement.DB.Oracle;
+using ProcessManagement.DB.Core;
+using ProcessManagement.DataModel;
+
+using ProcessManagement.Common;
+
+namespace ProcessManagement.DB.IOAccess
+{
+    /// <summary>
+    /// 工事種別経費率マスタアクセスクラス
+    /// </summary>
+    public class IOMTypeExpenses : OracleProcess
+    {
+        #region 定義部
+        /// <summary>
+        /// log4netログを使用する
+        /// </summary>
+        private static readonly ILog logger = LogManager.GetLogger(System.Reflection.MethodBase.GetCurrentMethod().DeclaringType);
+        #endregion
+
+        #region 定数
+        /// <summary>
+        /// 経費率マスタフィールド並び
+        /// </summary>
+        public enum NameColumn
+        {
+            TypeCode = 0,
+            ExpensesPeriod,
+            NameCode,
+            ExpensesRate,
+            DeleteFlg,
+            EntryDate,
+            UpdateDate,
+        }
+        #endregion
+
+        #region コンストラクタ
+        /// <summary>
+        /// コンストラクタ
+        /// </summary>
+        /// <param name="ConnectionString"></param>
+        public IOMTypeExpenses()
+            : base(DBCommon.Instance.DBConnectString)
+        {
+        }
+
+        #endregion
+
+        #region 経費率マスタ検索SQL作成
+        /// <summary>
+        /// 経費率マスタ検索SQL作成
+        /// </summary>
+        /// <param name="AddSQLString">検索条件SQL文字列</param>
+        /// <param name="data">経費率マスタデータ</param>
+        /// <returns>true：成功 false：失敗</returns>
+        private string CreateSelectSQL()
+        {
+            string strcmd = "SELECT";
+
+            strcmd += " TypeCode";
+            strcmd += " ,ExpensesPeriod";
+            strcmd += " ,NameCode";
+            strcmd += " ,ExpensesRate";
+            strcmd += " ,DeleteFlg";
+
+            strcmd += " ,TO_CHAR(EntryDate, 'YYYY/MM/DD HH24:MI:ss')";
+            strcmd += " ,TO_CHAR(UpdateDate, 'YYYY/MM/DD HH24:MI:ss')";
+            strcmd += " FROM TypeExpensesMaster";
+
+            return strcmd;
+        }
+        #endregion
+
+        #region データ検索（複数件）
+        /// <summary>
+        /// データ検索（複数件）
+        /// </summary>
+        /// <param name="AddSQLString"></param>
+        /// <param name="data"></param>
+        /// <param name="bConnect"></param>
+        /// <returns></returns>
+        public bool SelectAction(string AddSQLString, ref List<TypeExpensesMaster> data, bool bConnect = true)
+        {
+            //Oracle インターフェース
+            string strcmd = "";
+            ArrayList arData = new ArrayList();
+
+            try
+            {
+                // SQL作成（oracleのDateTime型が変換できないのでCharに変換しておく）
+                strcmd = CreateSelectSQL() + AddSQLString;
+
+                // SQL実行
+                if (!ExecuteReader(strcmd, ref arData, bConnect)) return false;
+
+                // データセット
+                foreach (object[] objwrk in arData)
+                {
+                    TypeExpensesMaster work = new TypeExpensesMaster();
+                    Reader2Struct(objwrk, ref work);
+                    data.Add(work);
+                }
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+
+        }
+        #endregion
+
+        #region データ検索（１件）
+        /// <summary>
+        /// データ検索（１件）
+        /// </summary>
+        /// <param name="AddSQLString"></param>
+        /// <param name="data"></param>
+        /// <param name="bConnect"></param>
+        /// <returns></returns>
+        public bool SelectAction(string AddSQLString, ref TypeExpensesMaster data, bool bConnect = true)
+        {
+            //Oracle インターフェース
+            string strcmd = "";
+            ArrayList arData = new ArrayList();
+
+            try
+            {
+                // SQL作成（oracleのDateTime型が変換できないのでCharに変換しておく）
+                strcmd = CreateSelectSQL() + AddSQLString;
+
+                // SQL実行
+                if (!ExecuteReader(strcmd, ref arData, bConnect)) return false;
+                if (arData.Count == 0) return false;
+
+                // データセット
+                foreach (object[] objwrk in arData)
+                {
+                    Reader2Struct(objwrk, ref data);
+                    break;
+                }
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+
+        }
+        #endregion
+
+        #region 経費率マスタ追加（１件）
+        /// <summary>
+        /// 経費率マスタ追加（１件）
+        /// </summary>
+        /// <param name="data">経費率マスタデータ</param>
+        /// <returns>true：成功 false：失敗</returns>
+        public bool InsertAction(TypeExpensesMaster work, bool bConnect = true)
+        {
+            string strcmd = "";
+            try
+            {
+                strcmd = "INSERT INTO TypeExpensesMaster";
+
+                strcmd += "(";
+                bool bFirst = true;
+                foreach (var gender in Enum.GetValues(typeof(NameColumn)))
+                {
+                    if (!bFirst) strcmd += " ,";
+                    strcmd += gender.ToString();
+                    bFirst = false;
+                }
+                strcmd += ") VALUES (";
+
+                strcmd += string.Format("  {0}", work.TypeCode.ToString());
+                strcmd += string.Format(", {0}", work.ExpensesPeriod.ToString());
+                strcmd += string.Format(", {0}", work.NameCode.ToString());
+                strcmd += string.Format(", {0}", work.ExpensesRate.ToString());
+                strcmd += string.Format(", {0}", work.DeleteFlg.ToString());
+
+                strcmd += ", TO_DATE(TO_CHAR(sysdate,'YYYY/MM/DD HH24:MI:SS'),'YYYY/MM/DD HH24:MI:SS')";
+                strcmd += ", TO_DATE(TO_CHAR(sysdate,'YYYY/MM/DD HH24:MI:SS'),'YYYY/MM/DD HH24:MI:SS')";
+                strcmd = strcmd + ")";
+
+                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+        #endregion
+
+        #region 経費率マスタ追加（複数件）
+        /// <summary>
+        /// 経費率マスタ追加
+        /// </summary>
+        /// <param name="data">経費率マスタデータ</param>
+        /// <returns>true：成功 false：失敗</returns>
+        public bool InsertAction(List<TypeExpensesMaster> data, bool bConnect = true)
+        {
+            string strcmd = "";
+            try
+            {
+                foreach (TypeExpensesMaster work in data)
+                {
+                    if (!InsertAction(work, bConnect)) return false;
+                }
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+        #endregion
+
+        #region 経費率マスタ更新
+        /// <summary>
+        /// 経費率マスタ更新
+        /// </summary>
+        /// <param name="AddSQLString">更新条件SQL文字列</param>
+        /// <param name="data">経費率マスタデータ</param>
+        /// <returns>true：成功 false：失敗</returns>
+        public bool UpdateAction(string AddSQLString, TypeExpensesMaster data, bool bConnect = true)
+        {
+            string strcmd = "";
+            try
+            {
+
+                strcmd = "UPDATE TypeExpensesMaster";
+
+                strcmd += " SET";
+
+                strcmd += string.Format(" TypeCode = {0}", data.TypeCode.ToString());
+                strcmd += string.Format(",ExpensesPeriod = {0}", data.ExpensesPeriod.ToString());
+                strcmd += string.Format(",NameCode = {0}", data.NameCode.ToString());
+                strcmd += string.Format(",ExpensesRate = {0}", data.ExpensesRate.ToString());
+                strcmd += string.Format(",DeleteFlg = {0}", data.DeleteFlg.ToString());
+
+                strcmd += ", UpdateDate = TO_DATE(TO_CHAR(sysdate,'YYYY/MM/DD HH24:MI:SS'),'YYYY/MM/DD HH24:MI:SS')";
+                strcmd += AddSQLString;
+
+                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+        #endregion
+
+        #region 経費率マスタ削除
+        /// <summary>
+        /// 経費率マスタ削除
+        /// </summary>
+        /// <param name="AddSQLString">削除条件SQL文字列</param>
+        /// <param name="data">経費率マスタデータ</param>
+        /// <returns>true：成功 false：失敗</returns>
+        public bool DeleteAction(string AddSQLString, bool bConnect = true)
+        {
+            //Oracle インターフェース
+            string strcmd = "";
+            try
+            {
+                strcmd = string.Format("{0}{1}", "DELETE FROM TypeExpensesMaster", AddSQLString);
+
+                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+        #endregion
+
+        #region 論理削除
+        /// <summary>
+        /// 論理削除
+        /// </summary>
+        /// <param name="NameCode">名称コード</param>
+        /// <returns>成功時：true　失敗時：false</returns>
+        public bool LogicalDeleteAction(int NameCode, bool bConnect = true)
+        {
+            // Where文字列作成
+            string strWhere = CreatePrimarykeyString(NameCode);
+            try
+            {
+                List<TypeExpensesMaster> workList = new List<TypeExpensesMaster>();
+                // データ読込
+                if (SelectAction(strWhere, ref workList, bConnect))
+                {
+                    if (workList.Count == 0) return true;
+
+                    // 削除フラグ
+                    workList[0].DeleteFlg = 1;
+                    // データ更新
+                    if (!UpdateAction(strWhere, workList[0], bConnect))
+                    {
+                        rollback();
+                        return false;
+                    }
+                }
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strWhere);
+                return false;
+            }
+        }
+        #endregion
+
+        #region OracleDataReaderより構造体へセットする
+        /// <summary>
+        /// OracleDataReaderより構造体へセットする
+        /// </summary>
+        /// <param name="reader">OracleDataReader</param>
+        /// <param name="wrk">構造体</param>
+        public void Reader2Struct(object[] objwrk, ref TypeExpensesMaster wrk)
+        {
+            try
+            {
+                // データ取得
+                wrk.TypeCode = int.Parse(objwrk[(int)NameColumn.TypeCode].ToString());
+                wrk.ExpensesPeriod = int.Parse(objwrk[(int)NameColumn.ExpensesPeriod].ToString());
+                wrk.NameCode = int.Parse(objwrk[(int)NameColumn.NameCode].ToString());
+                wrk.ExpensesRate = double.Parse(objwrk[(int)NameColumn.ExpensesRate].ToString());
+                wrk.DeleteFlg = int.Parse(objwrk[(int)NameColumn.DeleteFlg].ToString());
+
+                wrk.EntryDate = DateTime.Parse(objwrk[(int)NameColumn.EntryDate].ToString());
+                wrk.UpdateDate = DateTime.Parse(objwrk[(int)NameColumn.UpdateDate].ToString());
+            }
+            catch (OracleException oraex)
+            {
+                logger.ErrorFormat("オラクルエラー：{0}：{1}", CommonMotions.GetMethodName(), oraex.Message);
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 区分別の最大値を取得する
+        /// <summary>
+        /// 区分別の最大値を取得する
+        /// </summary>
+        /// <param name="AddSQLString"></param>
+        /// <param name="bConnect"></param>
+        /// <returns></returns>
+        public int SelectMaxCategoryHistoryCount(string AddSQLString, bool bConnect = true)
+        {
+            //Oracle インターフェース
+            string strcmd = "";
+            ArrayList arData = new ArrayList();
+            int iRet = 0;
+            try
+            {
+                // SQL作成
+                strcmd = "SELECT NVL(MAX(NameCode), 0) FROM TypeExpensesMaster" + AddSQLString;
+
+                // SQL実行
+                if (!ExecuteReader(strcmd, ref arData, bConnect)) return iRet;
+
+                // データセット
+                foreach (object[] objwrk in arData)
+                {
+                    if (objwrk[0].ToString().Equals(""))
+                        iRet = 0;
+                    else
+                        iRet = int.Parse(objwrk[0].ToString());
+                }
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+            }
+
+            return iRet;
+        }
+        #endregion
+
+        #region 主キー検索の文字列を返す
+        /// <summary>
+        /// 主キー検索の文字列を返す
+        /// </summary>
+        /// <param name="NameCode">名称コード</param>
+        /// <returns>Where文字列</returns>
+        public string CreatePrimarykeyString(int TypeCode, int Period = 0, int NameCode = 0, string Alias = "")
+        {
+            string strWork = string.Empty;
+            try
+            {
+                string strAlias = string.Empty;
+                if (Alias.Length != 0) strAlias = string.Format("{0}.", Alias);
+                strWork = string.Format(" Where {0}TypeCode = {1}", strAlias, TypeCode);
+                if (Period != 0)
+                    strWork += string.Format(" And {0}ExpensesPeriod = {1}", strAlias, Period);
+                if (NameCode != 0)
+                    strWork += string.Format(" And {0}NameCode = {1}", strAlias, NameCode);
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strWork);
+            }
+
+            return strWork;
+        }
+        #endregion
+    }
+}
Index: trunk/src/ProcessManagement/ProcessManagement/DataModel/AttendanceData.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DataModel/AttendanceData.cs	(revision 56)
+++ trunk/src/ProcessManagement/ProcessManagement/DataModel/AttendanceData.cs	(revision 57)
@@ -32,6 +32,10 @@
         /// </summary>
         private double      m_TotalOverTimes = 0;
         /// <summary>
+        ///  申請日
+        /// </summary>
+        private DateTime    m_OrderDate = DateTime.MinValue;
+        /// <summary>
         /// 申請受付番号
         /// </summary>
         private int         m_OrderNo = 0;
@@ -87,6 +91,14 @@
             set { m_TotalOverTimes = value; }
         }
         /// <summary>
+        ///  申請日
+        /// </summary>
+        public DateTime OrderDate
+        {
+            get { return m_OrderDate; }
+            set { m_OrderDate = value; }
+        }
+        /// <summary>
         /// 申請受付番号
         /// </summary>
         public int OrderNo
Index: trunk/src/ProcessManagement/ProcessManagement/DataModel/ConstructionTypeMaster.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DataModel/ConstructionTypeMaster.cs	(revision 56)
+++ trunk/src/ProcessManagement/ProcessManagement/DataModel/ConstructionTypeMaster.cs	(revision 57)
@@ -14,7 +14,10 @@
         private int         m_TypeCode = 0;	                    // 工事種別コード
         private int         m_DisplayOrder = 0;	                // 表示順
         private string      m_NameString = string.Empty;	    // 表示名称
+        private int         m_SecRank = 0;                      // 保護区分ランク
         private int         m_PublicFlg = 0;                    // 公共工事フラグ
+        private int         m_ExpensesLink = 0;                 // 経費使用区分
+
         private int         m_DeleteFlg = 0;	                // 削除フラグ
         private DateTime    m_EntryDate = DateTime.Now;         // 登録日付
         private DateTime    m_UpdateDate = DateTime.Now;        // 更新日付
@@ -49,6 +52,14 @@
             set { m_NameString = value; }
         }
         /// <summary>
+        /// 保護区分ランク
+        /// </summary>
+        public int SecRank
+        {
+            get { return m_SecRank; }
+            set { m_SecRank = value; }
+        }
+        /// <summary>
         /// 公共工事フラグ
         /// </summary>
         public int PublicFlg
@@ -57,6 +68,14 @@
             set { m_PublicFlg = value; }
         }
         /// <summary>
+        /// 経費使用区分
+        /// </summary>
+        public int ExpensesLink
+        {
+            get { return m_ExpensesLink; }
+            set { m_ExpensesLink = value; }
+        }
+        /// <summary>
         /// 削除フラグ
         /// </summary>
         public int DeleteFlg
Index: trunk/src/ProcessManagement/ProcessManagement/DataModel/CostomerRegist.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DataModel/CostomerRegist.cs	(revision 56)
+++ trunk/src/ProcessManagement/ProcessManagement/DataModel/CostomerRegist.cs	(revision 57)
@@ -11,15 +11,15 @@
     public class CostomerRegist
     {
         #region メンバ変数
-        private int         m_PetitionNo = 0;                       // 登録申請年月
+        private int         m_PersonCode = 0;                       // 申請者番号
+        private DateTime    m_CreateDate = DateTime.Now;            // 作成日
         private int         m_SeqNo = 0;                            // 申請連番
+
         private int         m_PetitionPeriod = 0;                   // 申請年度
-        private int         m_PersonCode = 0;                       // 申請者番号
-        private DateTime    m_PetitionDate = DateTime.Now;          // 申請日
         
         private int         m_OrderFlg = 0;                         // 法人団体・個人フラグ
         private string      m_CorporateStatusName = string.Empty;	// 法人格名称
-        private int         m_CorporateStatusPoint = 0;	            // 法人格名称
+        private int         m_CorporateStatusPoint = 0;	            // 法人格名称位置
         private string      m_OrderersName1 = string.Empty;	        // 発注者名１
         private string      m_OrderersName2 = string.Empty;	        // 発注者名２
 
@@ -35,6 +35,8 @@
         private string      m_MailAddress = string.Empty;           // メールアドレス
         private string      m_note = string.Empty;	                // 備考
         private int         m_OrderCotegory = 0;                    // 発注者区分
+
+        private DateTime    m_OrderDate = DateTime.MinValue;        // 申請日
         private int         m_OrderNo = 0;                          // 申請受付番号
 
         private DateTime    m_EntryDate = DateTime.Now;             // 登録日付
@@ -46,14 +48,22 @@
 
         #region プロパティ
         /// <summary>
-        /// 登録申請番号
+        /// 申請者番号
         /// </summary>
-        public int PetitionNo
+        public int PersonCode
         {
-            get { return m_PetitionNo; }
-            set { m_PetitionNo = value; }
+            get { return m_PersonCode; }
+            set { m_PersonCode = value; }
         }
         /// <summary>
+        /// 作成日
+        /// </summary>
+        public DateTime CreateDate
+        {
+            get { return m_CreateDate; }
+            set { m_CreateDate = value; }
+        }
+        /// <summary>
         /// 申請連番
         /// </summary>
         public int SeqNo
@@ -61,6 +71,7 @@
             get { return m_SeqNo; }
             set { m_SeqNo = value; }
         }
+
         /// <summary>
         /// 申請年度
         /// </summary>
@@ -69,23 +80,8 @@
             get { return m_PetitionPeriod; }
             set { m_PetitionPeriod = value; }
         }
+
         /// <summary>
-        /// 申請者番号
-        /// </summary>
-        public int PersonCode
-        {
-            get { return m_PersonCode; }
-            set { m_PersonCode = value; }
-        }
-        /// <summary>
-        /// 申請日
-        /// </summary>
-        public DateTime PetitionDate
-        {
-            get { return m_PetitionDate; }
-            set { m_PetitionDate = value; }
-        }
-        /// <summary>
         /// 法人団体・個人フラグ
         /// </summary>
         public int OrderFlg
@@ -213,7 +209,16 @@
             get { return m_OrderCotegory; }
             set { m_OrderCotegory = value; }
         }
+
         /// <summary>
+        /// 申請日
+        /// </summary>
+        public DateTime OrderDate
+        {
+            get { return m_OrderDate; }
+            set { m_OrderDate = value; }
+        }
+        /// <summary>
         /// 申請受付番号
         /// </summary>
         public int OrderNo
@@ -221,6 +226,7 @@
             get { return m_OrderNo; }
             set { m_OrderNo = value; }
         }
+
         /// <summary>
         /// 登録日付
         /// </summary>
Index: trunk/src/ProcessManagement/ProcessManagement/DataModel/ProcessParameter.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DataModel/ProcessParameter.cs	(revision 56)
+++ trunk/src/ProcessManagement/ProcessManagement/DataModel/ProcessParameter.cs	(revision 57)
@@ -32,6 +32,10 @@
         /// ブール値パラメータ
         /// </summary>
         private List<bool> m_BoolParameter = new List<bool>();
+        /// <summary>
+        /// 日付値パラメータ
+        /// </summary>
+        private List<DateTime> m_DateParameter = new List<DateTime>();
 
         /// <summary>
         /// 数値パラメータ
@@ -81,6 +85,14 @@
             set { m_BoolParameter = value; }
         }
         /// <summary>
+        /// 日付値パラメータ
+        /// </summary>
+        public List<DateTime> DateExecParameter
+        {
+            get { return m_DateParameter; }
+            set { m_DateParameter = value; }
+        }
+        /// <summary>
         /// 退避用数値パラメータ
         /// </summary>
         public List<int> IntSaveParameter
